# Set embed offline text
`PUT https://octopus.livepush.io/streams/{stream_id}/embed/offline_text`
Sets the message shown in the player while the stream is offline.

Pass `alternateText=1` to set the secondary offline message instead of the primary one.

Requires a token with write access to the stream (`CanWriteStreams`).
- **Tag:** Stream Embed
- **Operation ID:** `putStreamEmbedOfflineText`
- **Authentication:** Bearer token required
- **Docs:** https://developers.livepush.io/stream-embed/set-embed-offline-text/

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `stream_id` | string | yes | Unique identifier of the stream. |


### Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `alternateText` | integer | no | Set to 1 to write the alternate offline message instead of the primary one. |


### Request body

`application/json` (required)

- `offlineText` (string) **required**


```json
{
  "offlineText": "We are back on Sunday at 10am."
}
```


### Example request

```bash
curl -X PUT 'https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx/embed/offline_text' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "offlineText": "We are back on Sunday at 10am."
  }'
```


### Responses


#### 200 — Setting applied.

- `success` (boolean)


```json
{
  "success": true
}
```


#### 400 — Response


#### 401 — Response

